# 76. Užklausa: gauti „LygtiesŽemėlapį“

Gaukite „EquationMaps“ susietus su „Field“.&#x20;

## Užklausti

Filtruoti pagal `equationMapUuids` ir `statuses` taip pat palaikomas.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetEquationMaps {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        uuid
        fieldUuid
        pavadinimas
        equationMapUrl
        attributesUrl
        status
        parameters {
          gridPixelSizeX
          gridPixelSizeY
        }
        equationResultVariable
        equationAsText
        productUnit
        
        # EquationMap duomenų statistika
        statistika {
          min
          max
          avg
          mdn
          var
          std
          cnt
          sum
          uniqueCnt
          uniqueArr
        } 
        
        dataVariables {
          variable
          sampleValue
          
          # Kiekvieno naudojamo duomenų sluoksnio statistika
          statistika {
            min
            max
            avg
            mdn
            var
            std
            cnt
            sum
            uniqueCnt
            uniqueArr
          }
          
          # Derliaus duomenų rinkinys
          yieldDataset {
            uuid
            fieldUuid
          }
          yieldAttribute
          
          # Dirvožemio duomenų rinkinys
          soilDataset {
            uuid
            fieldUuid
          }
          soilAttribute
          
          # As-Applied duomenų rinkinys
          asAppliedDataset {
            uuid
            fieldUuid
          }
          asAppliedAttribute
          
          # Topografijos žemėlapis
          topographyMap {
            uuid
            fieldUuid
          }
          topographyAttribute
          
          # Palydovinė nuotrauka
          satelliteImages {
            satelliteImage {
              uuid
            }
            fieldUuid
          }
          indeksas
          
          # EquationMap
          equationMap {
            uuid
            fieldUuid
          }

          # Zonų žemėlapis (VectorAnalysisMap)
          vectorAnalysisMap {
            uuid
            fieldUuid          
          }
        }
      }
    }
  }
}
```

{% endcode %}

## Atsakymas

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "equationMaps": [
              {
                "uuid": "a6c8f959-2708-438b-bbb3-4043927cf79c",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "NUE 2023 - custom GP function",
                "equationMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c",
                "attributesUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c&PROPERTYNAME=mapUuid,geometryId,zone,value,createdDate,updatedDate",
                "status": "EXECUTED",
                "parameters": {
                  "gridPixelSizeX": 5,
                  "gridPixelSizeY": 5
                },
                "equationResultVariable": "NUE",
                "equationAsText": "NUE = geopard.calculate_nitrogen_use_efficiency(N_total_applied, N_uptake)",
                "productUnit": null,
                "statistics": {
                  "min": 59,
                  "max": 129,
                  "avg": 91.956,
                  "mdn": 92,
                  "var": 80.127,
                  "std": 8.951,
                  "cnt": 5290,
                  "sum": null,
                  "uniqueCnt": 66,
                  "uniqueArr": null
                },
                "dataVariables": [
                  {
                    "variable": "N_total_applied",
                    "sampleValue": null,
                    "statistics": {
                      "min": 79.645,
                      "max": 205.552,
                      "avg": 155.153,
                      "mdn": 156.491,
                      "var": 124.07,
                      "std": 11.139,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4410,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "855647dd-58fe-43cc-ac9c-f3888a7e369e",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  },
                  {
                    "variable": "N_uptake",
                    "sampleValue": null,
                    "statistics": {
                      "min": 108.778,
                      "max": 174.12,
                      "avg": 143.225,
                      "mdn": 144.005,
                      "var": 102.748,
                      "std": 10.136,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4640,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "bd0571ff-70a9-4a71-aa8f-68dbb9ce0369",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/76.-uzklausa-gauti-lygtieszemelapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
